#
# spec file for package hyprlang
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

# The naming scheme in non-Mandriva-based distros
%if 0%{!?mklibname:1}
%define mklibname(ds)  lib%{1}%{?2:%{2}}%{-s:-static}%{-d:-devel}
%endif
%if 0%{!?mkrel:1}
%define mkrel(c) %{1}%{?dist}
%endif


%define sover 2
%define libname %mklibname hyprlang %{sover}
%define devname %mklibname hyprlang -d

Name:           hyprlang
Version:        0.6.0
License:        LGPL-3.0-only
Release:        %mkrel 1.1
Summary:        A configuration language for Linux applications
URL:            https://github.com/hyprwm/hyprlang
Source0:        https://github.com/hyprwm/hyprlang/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch0:         hyprlang-0.5.3-format-fix.patch
Patch1:         hyprlang-0.6.0-print-to-cout.diff
BuildRequires:  cmake
BuildRequires:  gcc-c++ >= 8
BuildRequires:  pkgconfig(hyprutils) >= 0.1.1

%description
The hypr configuration language is a configuration language for Linux
applications.

%package -n     %{libname}
Summary:        Library for Hypr, a config language
Group:          System/Libraries

%description -n %{libname}
The hypr configuration language is a configuration language for Linux
applications.

%package -n %{devname}
Summary:        Development files for Hyprlang
Group:          Development/Libraries/Other
Requires:       %{libname} = %{version}

%description -n %{devname}
The hypr configuration language is a configuration language for Linux
applications.

This subpackeg contains headers for hyprlang.

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%check
%ctest

%post   -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{devname}
%doc README.md
%{_includedir}/%{name}.hpp
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{sover}
%{_libdir}/lib%{name}.so.%{version}

%changelog
* Mon Jun 17 2024 Soc Virnyl Estela <obs@uncomfyhalomacro.pl>
- Update to version 0.5.2
  * fixed getconf command
- remove _service and obsinfo and obscpio
  * use upstream sources
* Mon Apr 22 2024 Joshua Smith <smolsheep@opensuse.org>
- Update to version 0.5.1:
  + Features:
  - Special categories can now have inline keys, e.g.
    device[my-mouse-v1]:sensitivity = 1
  - You can now mark areas to not throw errors with # hyprlang
    noerror true and then later # hyprlang noerror false to
    revert back
  + Fixes:
  - core: Fix recursive variables in RHS of variable assignment
  + MRs:
  - config.cpp: fix environ for Apple
  - Fix: Comment escaping with multiple #
* Sat Mar 16 2024 Florian "sp1rit" <sp1rit@disroot.org>
- Update to version 0.5.0:
  + Fixes:
  - Fixed easy ABI breaks with new struct members in options
- Changes from version 0.4.2:
  + Legal:
  - License changed to LGPL-3.0-Only
  + API:
  - added pathIsStream to SConfigOptions
  + Other:
  - Fixed value name in configSetValueSafe
* Fri Mar  1 2024 Florian "sp1rit" <sp1rit@disroot.org>
- Update to version 0.4.1:
  + A minor update with just a few internal QoL fixes.
    (This update is ABI-compatible with 0.4.0.)
  + Fixes:
  - Fixed dynamic variable updates within special categories
  - Custom value errors will now be properly thrown
* Sat Feb 24 2024 Soc Virnyl Estela <uncomfy+openbuildservice@uncomfyhalomacro.pl>
- Initial specfile for hyprlang 0.4.0
